#
# spec file for package kjots
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kjots
Version:        5.0.1
Release:        3.2
Summary:        A note taking application for KDE using Akonadi
License:        GPL-2.0 and LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        http://download.kde.org/stable/kjots/%{version}/src/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM fix-desktop-file.patch -- Make sure that the desktop file is Qt5/Plasma5 compatible
Patch0:         fix-desktop-file.patch
# PATCH-FIX-UPSTREAM fix-build.patch -- Fix build with KDE Applications 16.08
Patch1:         fix-build.patch
# PATCH-FIX-UPSTREAM fix-icons.diff -- Fix build by moving KDE4_ADD_APP_ICON to ecm_add_app_icon
Patch2:         fix-icons.diff
# PATCH-FIX-UPSTREAM fix-appstream.diff -- Fix the appdata filename
Patch3:         fix-appstream.diff
# PATCH-FEATURE-UPSTREAM add-kontact-plugin.diff -- Add a plugin so that kjots shows up in kontact
Patch4:         add-kontact-plugin.diff
# PATCH-FEATURE-UPSTREAM enable-image-insert.patch -- Allow an image to be inserted in the notes
Patch5:         enable-image-insert.patch
BuildRequires:  akonadi-server-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  grantlee5-devel
BuildRequires:  libxslt-tools
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains KJOTS, a note taking application for KDE using Akonadi.

%lang_package

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch4 -p1

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build
%suse_update_desktop_file -C "Note Taker" org.kde.kjots    Utility  DesktopUtility
%find_lang %{name}

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE CHANGES COPYING COPYING.LIB README
%_kf5_appstreamdir/
%_kf5_applicationsdir/org.kde.kjots.desktop
%_kf5_bindir/kjots
%_kf5_configkcfgdir/kjots.kcfg
%_kf5_kxmlguidir/kjots/
%_kf5_servicesdir/kjotspart.desktop
%_kf5_plugindir/kjotspart.so
%_kf5_plugindir/kcm_kjots.so
%_kf5_servicesdir/kjots_config_misc.desktop
%_kf5_sharedir/kjots/
%_kf5_iconsdir/hicolor/*/apps/kjots.*
%_kf5_iconsdir/oxygen/*/actions/edit-delete-page.*
%{_kf5_plugindir}/kontact_kjotsplugin.so
%{_datadir}/kontact/
%{_kf5_servicesdir}/kontact/

%files lang -f kjots.lang
%defattr(-,root,root)

%changelog
* Sat Sep 10 2016 tittiatcoke@gmail.com
- Add fix-appstream.diff patch from upstream instead of moving
  files around after build
- Add add-kontact-plugin.diff (bko#359380). Now Kjots also shows up
  in kontact
- Add enable-image-insert.patch from upstream so that images can be
  included in the created notes
- Add fix-icons.diff to fix build with newer Frameworks.
* Mon Aug  8 2016 wbauer@tmo.at
- Add fix-build.patch to fix build with KDE Applications 16.08
* Sun Jul 24 2016 wbauer@tmo.at
- Remove boost-devel build requirement, it's not needed
* Sat Jun 18 2016 asterios.dramis@gmail.com
- Update to version 5.0.1:
  * Make it compile with Applications/15.12.
  * Add COPYING files.
- Removed make-it-build.diff (fixed upstream).
* Thu May 12 2016 dimstar@opensuse.org
- Fix name of appdata.xml file and content to be aligned with the
  .desktop file that has been renamed.
- Add a comment to the .desktop file.
* Sun Feb 14 2016 tittiatcoke@gmail.com
- Add patch fix-desktop-file.patch to make the installed
  desktop file work again. Thanks to Christian Trippe to
  detect the error.
* Thu Jan 28 2016 tittiatcoke@gmail.com
- Update license
* Wed Jan 27 2016 tittiatcoke@gmail.com
- Initial version 5.0.0
